---
title: "Retry a failed source file"
description: "POST https://api.markitdown.ai/v1/conversions/{id}/files/{file_id}/retry — Retry a failed source file. Authenticate with x-api-key."
url: https://markitdown.ai/docs/api/retry-conversion-file
updated: 2026-09-26
source: markitdown.ai
---

# Retry a failed source file

> POST https://api.markitdown.ai/v1/conversions/{id}/files/{file_id}/retry — Retry a failed source file. Authenticate with x-api-key.

## Endpoint

**POST** `/v1/conversions/{id}/files/{file_id}/retry` — Retry a failed source file

Always asynchronous (202), even if it happens to finish quickly.

## Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | path · string | yes |  |
| `file_id` | path · string | yes |  |

## Example request

**curl**

```bash
curl -X POST https://api.markitdown.ai/v1/conversions/cnv_00000000000040008000000000000001/files/file_00000000000040008000000000000002/retry \
  -H "x-api-key: $MARKITDOWN_API_KEY"
```

## Responses

- `202` Retry queued.
- `402` Insufficient credits (`application/problem+json`) — `Problem`
- `403` Subscription required (`application/problem+json`) — `Problem`
- `404` Not found (`application/problem+json`) — `Problem`

## Errors

- [Error codes](/docs/errors) — every `error` code with its status, meaning and whether to retry

## Related

- [API reference](https://markitdown.ai/docs/api)
- [Error codes](https://markitdown.ai/docs/errors)
- [Introduction](https://markitdown.ai/docs)
- [Document Conversion APIs](https://markitdown.ai/developers)
